NOLOGIN(8)

BEZEICHNUNG
nologin - eine Anmeldung höflich verweigern

ÜBERSICHT
nologin [-V] [-h]

BESCHREIBUNG
nologin zeigt eine Meldung an, dass ein Konto nicht verfügbar ist und beendet das Programm mit einem von 0 verschiedenen Rückgabewert. Es ist als Ersatz für das Feld »shell« gedacht, um den Anmeldezugriff auf ein Benutzerkonto abzuweisen.

Falls die Datei /etc/nologin.txt existiert, zeigt »nologin« dem Benutzer den Inhalt dieser Datei anstelle der Standardmeldung an.

Der von nologin zurückgegebene Exit-Code ist immer 1.

OPTIONEN

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

ANMERKUNGEN
nologin ist eine kontenbezogene Möglichkeit zur Deaktivierung von Anmeldungen (üblicherweise für Systembenutzerkonten wie http oder ftp). nologin(8) verwendet /etc/nologin.txt als optionale Quelle für eine alternative Nachricht, der Anmeldezugriff wird immer unabhängig von der Datei abgewiesen.

Das PAM-Modul pam_nologin(8) verhindert üblicherweise, dass sich Nicht-Root-Benutzer am System anmelden können. Die Funktionalität von pam_nologin(8) wird durch eine der Dateien /var/run/nologin oder /etc/nologin gesteuert.

AUTOREN
Karel Zak (kzak@redhat.com)

SIEHE AUCH
login(1), passwd(5), pam_nologin(8)

GESCHICHTE
Der Befehl nologin erschien in 4.4BSD.

VERFÜGBARKEIT
Der Befehl »nologin« ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.